org.jfree.ui

## Class FloatDimension

- java.lang.Object
- - java.awt.geom.Dimension2D
  - - org.jfree.ui.FloatDimension

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class FloatDimension
    extends java.awt.geom.Dimension2D
    implements java.io.Serializable

A dimension object specified using `float` values.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FloatDimension()` Creates a new dimension object with width and height set to zero.
`FloatDimension(FloatDimension fd)` Creates a new dimension that is a copy of another dimension.
`FloatDimension(float width, float height)` Creates a new dimension.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates and returns a copy of this object.
`boolean` `equals(java.lang.Object o)` Tests this object for equality with another object.
`double` `getHeight()` Returns the height.
`double` `getWidth()` Returns the width.
`int` `hashCode()` Returns a hash code.
`void` `setHeight(double height)` Sets the height.
`void` `setSize(double width, double height)` Sets the size of this `Dimension` object to the specified width and height.
`void` `setWidth(double width)` Sets the width.
`java.lang.String` `toString()` Returns a string representation of the object.

### Methods inherited from class java.awt.geom.Dimension2D

`setSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FloatDimension

    public FloatDimension()

Creates a new dimension object with width and height set to zero.

#### FloatDimension

    public FloatDimension(FloatDimension fd)

Creates a new dimension that is a copy of another dimension.

Parameters:
  `fd` - the dimension to copy.

#### FloatDimension

    public FloatDimension(float width,
                  float height)

Creates a new dimension.

Parameters:
  `width` - the width.
  `height` - the height.

### Method Detail

#### getWidth

    public double getWidth()

Returns the width.

Specified by:
  `getWidth` in class `java.awt.geom.Dimension2D`
Returns:
  the width.

#### getHeight

    public double getHeight()

Returns the height.

Specified by:
  `getHeight` in class `java.awt.geom.Dimension2D`
Returns:
  the height.

#### setWidth

    public void setWidth(double width)

Sets the width.

Parameters:
  `width` - the width.

#### setHeight

    public void setHeight(double height)

Sets the height.

Parameters:
  `height` - the height.

#### setSize

    public void setSize(double width,
               double height)

Sets the size of this `Dimension` object to the specified width and height. This method is included for completeness, to parallel the `getSize` method of `Component`.

Specified by:
  `setSize` in class `java.awt.geom.Dimension2D`
Parameters:
  `width` - the new width for the `Dimension` object
  `height` - the new height for the `Dimension` object

#### clone

    public java.lang.Object clone()

Creates and returns a copy of this object.

Overrides:
  `clone` in class `java.awt.geom.Dimension2D`
Returns:
  a clone of this instance.
See Also:
  `Cloneable`

#### toString

    public java.lang.String toString()

Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a string representation of the object.

#### equals

    public boolean equals(java.lang.Object o)

Tests this object for equality with another object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - the other object.
Returns:
  `true` or `false`.

#### hashCode

    public int hashCode()

Returns a hash code.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.